Index: trunk/client/temi/Futura2/function_theme.php
===================================================================
--- trunk/client/temi/Futura2/function_theme.php	(revision 264)
+++ trunk/client/temi/Futura2/function_theme.php	(revision 265)
@@ -13,8 +13,12 @@
 
 
-$res = $db->sql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ");
-list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $db->sql_fetchrow($res);
-$res = $db->sql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" );
-list($id_cons) = $db->sql_fetchrow($res);
+$sql="SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 /*********************************/
@@ -35,11 +39,15 @@
 
 
-	$res = mysql_query("select t1.*  from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' $circos group by t1.id_sez ",$dbi);
+	$sql="select t1.*  from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_$tab=t2.id_$tab where t1.id_cons='$id_cons' $circos group by t1.id_sez ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 	if($res)
-		$numero=mysql_num_rows($res);
+		$numero=$res->rowCount();
 	else
 	$numero=1;
-	$res = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	$sezioni=mysql_num_rows($res);
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+	$sezioni=$res->rowCount();
 	if ($numero!=0){
 
@@ -47,6 +55,8 @@
 
 
-	$res1 = mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-	list($tot_aventi)  = mysql_fetch_row($res1);
+	$sql="SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+	list($tot_aventi)  = $res1->fetch(PDO::FETCH_NUM);
      
 	if ($genere!=0) {
@@ -57,14 +67,18 @@
 		echo "</h2></center></li>";
 
-		$res1 = mysql_query("SELECT sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), '0'
-		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos having tot>0",$dbi);
+		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos having tot>0";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
 	}else{
 
 		if($tema=='tour'){
-			$res1 = mysql_query("SELECT count(0)
-		from ".$prefix."_ele_gruppo  where id_cons=$id_cons",$dbi);
-
-		  list($max_ruotag) =mysql_fetch_row($res1);
+			$sql="SELECT count(0)
+		from ".$prefix."_ele_gruppo  where id_cons=$id_cons";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+
+		  list($max_ruotag) = $res1->fetch(PDO::FETCH_NUM);
 			if (isset($_SESSION['ruotag'])) { $ruotag=$_SESSION['ruotag'];}
 			else {$ruotag=1;$_SESSION['ruotag']=1;}
@@ -72,6 +86,8 @@
 			else {$ruotag++;}
 			$_SESSION['ruotag']=$ruotag;
-			  		$res1 = mysql_query("SELECT count(0) from ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag'",$dbi);
-		list($numero)=mysql_fetch_row($res1);
+			$sql="SELECT count(0) from ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag'";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+		list($numero)=$res1->fetch(PDO::FETCH_NUM);
 	echo "<li data-role=\"list-divider\" data-icon=\"arrow-up\" >";
 	echo "<center><h2>";
@@ -80,13 +96,17 @@
 	echo "</h2></center></li>";
 		
-		$res1 = mysql_query("SELECT sum( t1.validi + t1.nulli + t1.bianchi + t1.contestati ) AS tot, sum( t1.validi ) , sum( t1.nulli ) , sum( t1.bianchi ) , sum( t1.contestati ) , t1.id_gruppo
+		$sql="SELECT sum( t1.validi + t1.nulli + t1.bianchi + t1.contestati ) AS tot, sum( t1.validi ) , sum( t1.nulli ) , sum( t1.bianchi ) , sum( t1.contestati ) , t1.id_gruppo
 FROM ".$prefix."_ele_voti_ref AS t1 LEFT JOIN ".$prefix."_ele_gruppo AS t2 ON t1.id_gruppo = t2.id_gruppo
-WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag' GROUP BY t1.id_gruppo HAVING tot >0",$dbi);
+WHERE t1.id_cons ='$id_cons' AND t2.num_gruppo ='$ruotag' GROUP BY t1.id_gruppo HAVING tot >0";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
 	}	else
-		$res1 = mysql_query("SELECT sum(validi+nulli+bianchi+contestati) as tot,
+		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0",$dbi);
+		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
 	}
-	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = mysql_fetch_row($res1)){
+	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = $res1->fetch(PDO::FETCH_NUM)){
 		$arperc=array();
 		$arval=array($validi,$nulli,$bianchi,$contestati);
@@ -102,6 +122,8 @@
 
 		if ($genere==0) {
-			$res = mysql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id",$dbi);
-			list($num_gruppo,$descr_gruppo)  = mysql_fetch_row($res);
+			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			list($num_gruppo,$descr_gruppo)  = $res->fetch(PDO::FETCH_NUM);
 		}
 
@@ -156,6 +178,8 @@
 
 	if (!$id_circ and $circo){
-		$res_sez = $db->sql_query("SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1");
-		list($id_circ)=$db->sql_fetchrow($res_sez);
+		$sql="SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1";
+		$res_sez = $dbi->prepare("$sql");
+		$res_sez->execute();
+		list($id_circ)=$res_sez->fetch(PDO::FETCH_NUM);
 	}
 	$circond='';$circondt1='';
@@ -163,13 +187,22 @@
 	if ($genere==4 or $visgralista){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$res = $db->sql_query("select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ");
+	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 	if ($circo){
-		$res = $db->sql_query("select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ");
-		$restotv = $db->sql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ");
+		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+		$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
 		$circond="and id_circ=$id_circ";$circondt1="and t1.id_circ=$id_circ";
+		$restotv = $dbi->prepare("$sql");
+		$restotv->execute();
 	}
-	if ($res) $numero=$db->sql_numrows($res);else $numero=0;
-	$res = $db->sql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1");
-	if ($res) $sezioni=$db->sql_numrows($res);else $sezioni=0;
+	if ($res) $numero=$res->rowCount();else $numero=0;
+	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
 
 
@@ -184,8 +217,10 @@
 		// tot voti
 			if (!$circo) 
-				$restotv = $db->sql_query("select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ");
+				$sql="select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ";
 			if ($votog) 
-				$restotv = $db->sql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ");	
-			list($tot)  = $db->sql_fetchrow($restotv);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ";	
+			$restotv = $dbi->prepare("$sql");
+			$restotv->execute();
+			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
 			
 			$i=0;
@@ -195,5 +230,5 @@
 				if ($votog){
 				
-				$res = $db->sql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1,
 				".$prefix."_ele_voti_lista as t2,
@@ -203,25 +238,32 @@
 				and t1.id_gruppo=t3.id_gruppo
 				group by t1.id_gruppo
-				order by somma desc");$cosa='id_gruppo';
+				order by somma desc";
+				$cosa='id_gruppo';
 				
 				}else{
 				
 			
-			        $res = $db->sql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_gruppo
-				order by somma desc");$cosa='id_gruppo';
+				order by somma desc";
+				$cosa='id_gruppo';
 			       }
+				$res = $dbi->prepare("$sql");
+				$res->execute();
 			
 			
 			}else{
-				$res = $db->sql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
 				group by t2.id_lista
-				order by somma desc");$cosa='id_lista';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_lista';
 			}
 
@@ -234,18 +276,20 @@
 					$e=1;
 					// fine 
-				$gruppinum=$db->sql_numrows($res);
+				$gruppinum=$res->rowCount();
 				$altrivoti=0;
 ####calcolo percentuale
 				$arvoti=array();
 				$arperc=array();
-				while (list($id,$num,$descrizione,$voti)  = $db->sql_fetchrow($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 					$arvoti[$id]=$voti;
 				}
 				$arperc=arrayperc($arvoti,$tot);
 				//$db->sql_data_seek($res,0);
-				mysql_data_seek($res,0);
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+#				mysql_data_seek($res,0);
 ####		
 				$altriperc=0;
-				while (list($id,$num,$descrizione,$voti)  = $db->sql_fetchrow($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 
 				
@@ -335,18 +379,22 @@
 	}else{
 		// tot voti
-		$res = $db->sql_query("
-		select sum(validi),id_gruppo  from ".$prefix."_$tab where id_cons=$id_cons group by id_gruppo");
-		while (list($tot,$id_gruppo)  = $db->sql_fetchrow($res)){
+		$sql="
+		select sum(validi),id_gruppo  from ".$prefix."_$tab where id_cons=$id_cons group by id_gruppo";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+		while (list($tot,$id_gruppo)  = $res->fetch(PDO::FETCH_NUM)){
 
 			$s=0;
-			$res1 = $db->sql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.si),  sum(t2.no)
+			$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.si),  sum(t2.no)
 			from ".$prefix."_ele_gruppo as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 			where 	t1.id_cons='$id_cons' and t1.id_gruppo='$id_gruppo' 
 			group by t1.id_gruppo
-			");
-			
-
-			while (list($id_gruppo,$num_gruppo,$descrizione,$si,$no)  = $db->sql_fetchrow($res1)){
+			";
+				$res1 = $dbi->prepare("$sql");
+				$res1->execute();
+			
+
+			while (list($id_gruppo,$num_gruppo,$descrizione,$si,$no)  = $res1->fetch(PDO::FETCH_NUM)){
 				if($tot){
 					$percsi=number_format($si*100/$tot,3);
@@ -426,8 +474,12 @@
 	if ($circo) $circos = "and id_circ=$id_circ" ; else $circos='';
 	if ($genere==0) $tab="ref"; else $tab="gruppo";
-	$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
+	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+	$numero=$res->rowCount();
+	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+	$sezioni=$res->rowCount();
 	//$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comuni where id_cons='$id_cons' $circos ",$dbi);
 	//$chiusa=mysql_num_rows($res);
@@ -444,23 +496,33 @@
 	
 	// tot liste
-		$res = mysql_query("SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ", $dbi);
-    		$max = mysql_num_rows($res);
+		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ";
+ 				$res = $dbi->prepare("$sql");
+				$res->execute();
+   		$max = $res->rowCount();
 		
 		// tot voti liste
-		$res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
-		
-    		$result = mysql_query("select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = mysql_fetch_row($result)) {
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+				$res_lista_tutti = $dbi->prepare("$sql");
+				$res_lista_tutti->execute();
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
+		
+    		$sql="select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset";
+ 				$result = $dbi->prepare("$sql");
+				$result->execute();
+		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
   			if ($num_lista!=0) {
 			// voti lista
-			$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'", $dbi);
-			list($voti_lista) = mysql_fetch_row($res_lista);
+			$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+ 				$res_lista = $dbi->prepare("$sql");
+				$res_lista->execute();
+			list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 			if ($voti_lista_tutti!=0)
 			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,2);
 		        else $perc_lista='';
 			// gruppo
-			$res_gruppo = mysql_query("select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-			list($descr_gruppo) = mysql_fetch_row($res_gruppo);
+			$sql="select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+ 				$res_gruppo = $dbi->prepare("$sql");
+				$res_gruppo->execute();
+			list($descr_gruppo) = $res_gruppo->fetch(PDO::FETCH_NUM);
 
 
@@ -506,8 +568,12 @@
 		$tab="ele_voti_candidati";
 
-		$res = $db->sql_query("select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ");
-		$numero=$db->sql_numrows($res);
-		$res = $db->sql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'");
-		$sezioni=$db->sql_numrows($res);
+		$sql="select *  from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_sez ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$numero=$res->rowCount();
+		$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$sezioni=$res->rowCount();
 
 
@@ -521,7 +587,9 @@
 		
 			// tot voti
-			$res = $db->sql_query("
-			select sum(voti)  from ".$prefix."_ele_voti_candidati where id_cons=$id_cons ");
-			list($tot)  = $db->sql_fetchrow($res);
+			$sql="
+			select sum(voti)  from ".$prefix."_ele_voti_candidati where id_cons=$id_cons ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			list($tot)  = $res->fetch(PDO::FETCH_NUM);
 			
 			// gruppi o liste per simbolo
@@ -533,5 +601,5 @@
 			}
 			$i=0;
-			$res = $db->sql_query("select t1.id_lista,  t1.id_cand, t1.nome , t1.cognome, sum(t2.voti) as somma
+			$sql="select t1.id_lista,  t1.id_cand, t1.nome , t1.cognome, sum(t2.voti) as somma
 				from ".$prefix."_ele_candidati as t1
         		left join ".$prefix."_ele_voti_candidati as t2 on (t1.id_cand=t2.id_cand)
@@ -542,8 +610,10 @@
 				order by somma desc
 				
-				");
-			$n_candi=$db->sql_numrows($res);
-			
-			while (list($id_lista,$id_cand,$nome,$cognome,$voti)  = $db->sql_fetchrow($res)){
+				";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$n_candi=$res->rowCount();
+			
+			while (list($id_lista,$id_cand,$nome,$cognome,$voti)  = $res->fetch(PDO::FETCH_NUM)){
              			$candidato[$i]=$cognome;
 				$pro[$i]=number_format($voti*100/$tot,2);
@@ -601,12 +671,16 @@
 
 
-	$res2 = $db->sql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos");
-	$result_sezioni[1]=$db->sql_numrows($res2);
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+	$result_sezioni[1]=$res2->rowCount();
 
 
 
 	// numero sezioni 
-	$sez_num = $db->sql_query("select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ");
-	$result_sezioni[0]=$db->sql_numrows($sez_num);
+	$sql="select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
+	$sez_num = $dbi->prepare("$sql");
+	$sez_num->execute();
+	$result_sezioni[0]=$sez_num->rowCount();
 
 //	$sez_scrut = $db->sql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos");
@@ -614,7 +688,9 @@
 
 
-	$res = $db->sql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ");
+	$sql="select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	//$chiusa=$db->sql_numrows($res);
-	list($chiusa) = $db->sql_fetchrow($res);
+	list($chiusa) = $res->fetch(PDO::FETCH_NUM);
 	//echo "-----------> $chiusa - $id_comune"; 
 
@@ -643,5 +719,7 @@
 
     global  $user, $admin, $cookie, $textcolor2, $prefix, $dbi;
-     $result = mysql_query("select mid, title, preamble, content,editimage from ".$prefix."$tab where id_cons='$id_cons' order by mid ", $dbi);
+    $sql="select mid, title, preamble, content,editimage from ".$prefix."$tab where id_cons='$id_cons' order by mid ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
 
 	echo "<li data-role=\"list-divider\" >";
@@ -651,8 +729,8 @@
 
 
-    if (mysql_num_rows($result) == 0) {
+    if ($result->rowCount() == 0) {
 	return;
     } else {
-	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
+	while (list($mid, $title, $preamble,$content,  $editimage) = $result->fetch(PDO::FETCH_NUM)) {
   	if ($title != "" && $content != "") {
                
@@ -693,10 +771,16 @@
 	$print=intval($print);
 
-	$res = $db->sql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ");
-	$ressede = $db->sql_query("select * from ".$prefix."_ele_sede where id_cons='$id_cons' ");
-	$res3 = $db->sql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ");
-	$circo = $db->sql_numrows($res);
-	$sedi = $db->sql_numrows($ressede);
-	$sez = $db->sql_numrows($res3);
+	$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$sql="select * from ".$prefix."_ele_sede where id_cons='$id_cons' ";
+	$ressede = $dbi->prepare("$sql");
+	$ressede->execute();
+	$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' ";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+	$circo = $res->rowCount();
+	$sedi = $ressede->rowCount();
+	$sez = $res3->rowCount();
 
 	//Variabili linguaggio
@@ -708,26 +792,34 @@
 	// se non referendum
 	if ($genere!=0 and !$votoc){
-		$res1 = $db->sql_query("select id_cons from ".$prefix."_ele_candidati where id_cons='$id_cons' ");
-		$candi = $db->sql_numrows($res1);
+		$sql="select id_cons from ".$prefix."_ele_candidati where id_cons='$id_cons' ";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+		$candi = $res1->rowCount();
 	}
 	
 	// se non europee (non liste e candidati)
 	if ($genere!=4){
-		$res2 = $db->sql_query("select id_cons from ".$prefix."_ele_gruppo where id_cons='$id_cons' ");
+		$sql="select id_cons from ".$prefix."_ele_gruppo where id_cons='$id_cons' ";
 	}else{
-		$res2 = $db->sql_query("select id_cons from ".$prefix."_ele_lista where id_cons='$id_cons' ");
+		$sql="select id_cons from ".$prefix."_ele_lista where id_cons='$id_cons' ";
 	}
-	
-	$gruppo = $db->sql_numrows($res2);
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	
+	$gruppo = $res2->rowCount();
         
 	// camera e senato con raggruppamenti
 	//if($votog){
-	 $res3 = $db->sql_query("select * from ".$prefix."_ele_lista where id_cons='$id_cons' ");
-         $liste = $db->sql_numrows($res3);
+	$sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons' ";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+         $liste = $res3->rowCount();
 	//}
 
 	if($circo==1) $circo=$sedi;
-	$res4 = $db->sql_query("select sum(maschi),sum(femmine), sum(maschi+femmine)  from ".$prefix."_ele_sezioni where id_cons=$id_cons");
- 	if($res4) list($maschi,$femmine,$tot) = $db->sql_fetchrow($res4);
+	$sql="select sum(maschi),sum(femmine), sum(maschi+femmine)  from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+	$res4 = $dbi->prepare("$sql");
+	$res4->execute();
+ 	if($res4) list($maschi,$femmine,$tot) = $res4->fetch(PDO::FETCH_NUM);
 
 
@@ -770,6 +862,8 @@
 /*****************************************************/
     global $admin, $prefix, $dbi, $offset, $min,$id_cons,$file,$id_cons_gen,$id_comune ,$prev,$next;
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ", $dbi);
-    $max = mysql_num_rows($res);
+    $sql="SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+    $max = $res->rowCount();
     
     //OpenTable();
@@ -782,7 +876,9 @@
     $go="circo";
     
-    $result = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ 
-    LIMIT $min,$offset", $dbi);
-$numcirc=mysql_num_rows($result);
+    $sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'  ORDER BY num_circ 
+    LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+$numcirc=$result->rowCount();
 if ($numcirc>1){
   	echo "<div><b>"._CIRCS."</b></div><br /><br />
@@ -799,5 +895,5 @@
 }
      
-	while(list($id_cons2,$id_circ,$num_circ,$descr_circ) = mysql_fetch_row($result)) {
+	while(list($id_cons2,$id_circ,$num_circ,$descr_circ) = $result->fetch(PDO::FETCH_NUM)) {
 #if($numcirc==1) {$descr_circ=''; $num_circ='';}
      	if (!($num_circ===0)) {
@@ -811,7 +907,9 @@
        
        // dati sede
-		$result1 = mysql_query("select id_sede,indirizzo,telefono1,telefono2, mappa, filemappa from ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ'", $dbi);
-		$righe=mysql_num_rows($result1);$i=0;
-        	while(list($id_sede,$indir,$tel1,$tel2,$mappa,$filemappa)=mysql_fetch_row($result1)){
+		$sql="select id_sede,indirizzo,telefono1,telefono2, mappa, filemappa from ".$prefix."_ele_sede where id_cons='$id_cons' and id_circ='$id_circ'";
+	$result1 = $dbi->prepare("$sql");
+	$result1->execute();
+		$righe=$result1->rowCount();$i=0;
+        	while(list($id_sede,$indir,$tel1,$tel2,$mappa,$filemappa)=$result1->fetch(PDO::FETCH_NUM)){
 		
         	$i++;
@@ -861,6 +959,8 @@
 function genere(){
 global $prefix,$db,$id_cons_gen;
-$res = $db->sql_query("SELECT descrizione,genere FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen' ");
-	list($descr_cons,$genere) = $db->sql_fetchrow($res);
+$sql="SELECT descrizione,genere FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($descr_cons,$genere) = $res->fetch(PDO::FETCH_NUM);
         //$descr_cons =stripslashes($descr_com); 
 		
@@ -885,10 +985,14 @@
         if (!isset($data1)) $data1='';
         if (!isset($ora_ril)) $ora_ril='';
-  		$res1 = mysql_query("SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo", $dbi);
+  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 # mysql_query("select *  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $circos  group by id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
-		$res2 = mysql_query("SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez", $dbi);
+		$numero=$res1->rowCount();
+		$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
 #mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sezioni=$res2->rowCount();
 		
 	
@@ -905,8 +1009,11 @@
                                                                                                                            // totali
 
-																													if($tema=='tour') $andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; else $andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";    
-    
-    $res = mysql_query("$andcond", $dbi);
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+	if($tema=='tour') $andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; 
+	else $andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";    
+
+    $sql="$andcond";
+ 	$res = $dbi->prepare("$sql");
+	$res->execute();
+       while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
